description

# KeyboardEventStream class Null safety

Records KeyboardEvents that occur on a particular element, and provides a stream of outgoing KeyEvents with cross-browser consistent keyCode and charCode values despite the fact that a multitude of browsers that have varying keyboard default behavior.

Example usage:

    KeyboardEventStream.onKeyDown(document.body).listen(
        keydownHandlerTest);

This class is very much a work in progress, and we'd love to get information on how we can make this class work with as many international keyboards as possible. Bugs welcome!

## Constructors

KeyboardEventStream()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

onKeyDown(EventTarget target) → CustomStream<KeyEvent>
  Named constructor to produce a stream for onKeyDown events.
onKeyPress(EventTarget target) → CustomStream<KeyEvent>
  Named constructor to produce a stream for onKeyPress events.
onKeyUp(EventTarget target) → CustomStream<KeyEvent>
  Named constructor to produce a stream for onKeyUp events.